const inquirer = require('inquirer')
const debug = console.log

const callback = console.log

const hosts = [{ip: '192.168.1.111', vendor: 'Vendor unknown'},
{ip: '192.168.1.112', vendor: 'Vendor unknown'},
{ip: '192.168.1.102', vendor: 'Apple Inc'}]

inquirer.prompt([
  {
    type: 'checkbox',
    message: 'Select target Hosts',
    name: 'targets',
    choices: hosts.map(function (host) {
      return {name: host.ip + ' [' + host.vendor + ']', value: host.ip}
    }),
    validate: function (answer) {
      if (answer.length < 1) {
        return 'You must choose at least one target.'
      }
      return true
    }
  }
]).then(function (answers) {
  debug('Selected target hosts:', answers.targets)
  // TODO
  callback(null, answers.targets)
})
